Subject: Re: bug#46349: 27.1; Spaces are added at wrong places when typing in Sinhala Unicode.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Oct 2021 16:16:00 +0300

> From: Mike FABIAN <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Wed, 13 Oct 2021 13:03:50 +0200
> 
> Lohan Gunaweera <[email-masked]> さんはかきました:
> 
> > On 2/7/21 8:32 PM, Eli Zaretskii wrote:
> >
> >>>>
> >>>> Maybe some interaction between Emacs and the input method, then.
> >>>
> >>> What is the best approach to get this resolved? Shall I file a bug
> >>> report for ibus on their bug tracker?
> >> 
> >> It cannot do any harm to file a bug on the ibus tracker, especially as
> >> we don't at the moment have XIM experts on board.  Perhaps the ibus
> >> developers will give us some clue, in case it's our problem.
> >> 
> >
> > I just filed a bug on the ibus bug tracker
> > https://github.com/ibus/ibus-m17n/issues/27
> >
> > Hope we'll hear from them soon.
> 
> Yes, Eli is right, this is not an Emacs problem. It happens always when
> XIM is used with ibus, i.e. it happens also when trying this in xterm.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=2013610
> 
> This is a very longstanding problem when using ibus with XIM.

Thanks for getting back to us on this one.  Then I guess we should
close this bug?